Home Store Blog Development

EPSON L3110 Configuration for Ubuntu 18.04.1 LTS (HELP)


#1

Hi!

I’m new to Ubuntu and I’ve been trying to get my EPSON L3110 AiO to work (Print/Scan). I went to here and downloaded these:

  • epson-inkjet-printer-escpr-1.6.35-1lsb3.2.tar.gz
  • epson-printer-utility-1.0.2.tar.gz
  • imagescan-bundle-ubuntu-18.04-1.3.40.x64.deb.tar.gz

I was able to successfully follow this instruction from EPSON’s site:

In order to install these drivers, you need to install LSB package (version 3.2 or later) beforehand.

Ubuntu:
# apt-get install lsb

It’s directly connected to my NUC, not from the USB HUB and I was able to add the printer under Devices>Printers and installed the driver from a PDD File in one of the archives.

I read through the READ ME’s in each archive but I’m getting nowhere. :sob: I really need to have this AiO working. Can anyone PLEASE help with a step by step guide on how to properly install this device? If it’s not too much to ask. I will be forever in your debt, thank you in advance. :pray:


#2

This looks like a worthwhile guide to check out https://tutorialforlinux.com/2018/06/13/driver-epson-l3110-ubuntu-18-04-how-to-download-install/


#3

Wow! I will try this and see how it goes. Thank you very much! :+1::+1::+1:


#4

After a long time of trial and error, I was able to get it to work! Thanks @fossfreedom :pray::pray::pray:


#5

Hi there, It’s me again back with another printer issue. I’m trying to print a PDF Doc with Japanese characters and it comes out in squares and gibberish.

Did some digging and I was able to reach this page and which lead me to this page

I don’t know if I’m on the right ones but when I follow the steps on the 2nd page I get stuck with an error: “E: Unable to locate package libopenjpeg-dev”

I need help again please! Anyone… Thanks in advance!


#6

Menu - updates.

Click the settings button.

Make sure you have the source code check box ticked. When closing the dialog it will ask to reload. Click that then you will be able to install development packages such as that one you requested.


#7

Well that worked! Thank you again! :pray: